iwl4965 drops out from time to time (Santa Rosa)

Bug #144621 reported by Matt Zimmerman
100
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-ubuntu-modules-2.6.22 (Ubuntu)
High
Unassigned

Bug Description

After several hours of routine use, my iwl4965 stopped passing traffic, though the interface still appeared "up". I had seen this before, with the symptoms of bug 137565, but this just happened with 1.1.0 (first problem I've had with this version). The log messages at the time were:

[175330.932000] wlan0: RX deauthentication from 00:16:b6:f5:20:cd (reason=1)
[175330.932000] wlan0: deauthenticated
[175331.932000] wlan0: authenticate with AP 00:16:b6:f5:20:cd
[175331.932000] wlan0: RX authentication from 00:16:b6:f5:20:cd (alg=0 transaction=2 status=0)
[175331.932000] wlan0: authenticated
[175331.932000] wlan0: associate with AP 00:16:b6:f5:20:cd
[175331.964000] wlan0: RX ReassocResp from 00:16:b6:f5:20:cd (capab=0x601 status=0 aid=7)
[175331.964000] wlan0: associated
[175331.972000] iwl4965: TX Power requested while scanning!
[175331.972000] iwl4965: Error setting Tx power (-11).
[175331.972000] iwl4965: TX Power requested while scanning!
[175331.972000] iwl4965: Error setting Tx power (-11).

What does reason=1 indicate for the deauthentication event? Why didn't it come back after reassociating? Presumably the TX power issue has something to do with it all.

03:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection [8086:4230] (rev 61)

will attach complete dmesg

Revision history for this message
Matt Zimmerman (mdz) wrote :
Revision history for this message
Tim Gardner (timg-tpi) wrote :

I noticed that wpasupplicant was updated to 0.6.0+0.5.8-0ubuntu1. Please note the version of this update if the drop-out occurs again.

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

Can you give a little more info about the hw? lspci, etc.?

I'm having my team work on this right away, just need a little more info the hw so we can reproduce and troubleshoot.

Revision history for this message
Matt Zimmerman (mdz) wrote :

The lspci fragment is in the bug description above:

03:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection [8086:4230] (rev 61)

I also attached a full dmesg. The laptop is at home, but if you need more than what's already included in the bug, let me know and I'll get it when I get home.

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

I was hoping for a lspci -vvvx or such. But perhaps you can just describe which machine this was on? (chipset, production vs. pre-production, etc.)

Revision history for this message
Matt Zimmerman (mdz) wrote : Re: [Bug 144621] Re: iwl4965 drops out from time to time

On Wed, Sep 26, 2007 at 04:10:49PM -0000, Rolla Selbak wrote:
> I was hoping for a lspci -vvvx or such. But perhaps you can just
> describe which machine this was on? (chipset, production vs. pre-
> production, etc.)

It's a ThinkPad T61.

--
 - mdz

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

Checking with the wireless folks right now to see if they've ever seen something similar...

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

"reason 1" is AP specific so only the AP develop know what this error mean. But looking at the log I see Txpower error and it might need more investigation here.

May we have information here like:

What type of AP used?
Did this happen after leaving connection idle for some time? How much time?
Did you try to reconnect to AP manually again after the problem? Or do you have to reload the driver again?

Revision history for this message
Matt Zimmerman (mdz) wrote : Re: [Bug 144621] Re: iwl4965 drops out from time to time (Santa Rosa)

On Thu, Sep 27, 2007 at 10:35:35PM -0000, Rolla Selbak wrote:
>
> "reason 1" is AP specific so only the AP develop know what this error mean. But looking at the log I see Txpower error and it might need more investigation here.
>
> May we have information here like:
>
> What type of AP used?
> Did this happen after leaving connection idle for some time? How much time?
> Did you try to reconnect to AP manually again after the problem? Or do you have to reload the driver again?

The AP was a Linksys; I am no longer at that location and cannot confirm the
exact model. This happened during regular usage, which included idle
periods but not extensive ones. I tried "iwconfig ap off" and
re-associating using Network Manager, neither of which worked. Only
reloading the driver got me back online.

--
 - mdz

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

Ok, thanks for the info. The wireless team has said the only time they see a similar result to yours is with 11n. Were you using 802.11n?

I tested out the iwlwifi 1.1.0 on a T61 last night (a/b/g) and left it idle for around 6.5 hours with no drop in connectivity, and no error messages...strange...

Can you load the driver with debug=0x41002 and attach the log after the problem happens?

rs

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

Hey Matt/Tim, are you still seeing this problem?

We haven't seen anything like this in our teams US and China - we're thinking it might have to do with different geographical locations? (U.S vs. Europe, etc.) although we won't know unless we see the debug info.

Can you load the driver with debug=0x41002 and attach the log after the problem happens?

I'll also try the folks at bug#133395 and ask if they can do the same (though the bug is not completely related)

Revision history for this message
Tiago Silva (tiagosilva) wrote :

Update me please: Ubuntu using the new iwlwifi for 4965AGN?

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Fri, Oct 05, 2007 at 06:48:21PM -0000, Rolla Selbak wrote:
> Hey Matt/Tim, are you still seeing this problem?

I'm afraid I've been swamped with other things, and haven't even picked up
that laptop since our last discussion. I will be bringing it with me to UDS
and using the wireless rather intensively there, and would gladly make it
available for debugging in person if that would help.

--
 - mdz

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

no problem. Ok, that sounds good. I'd really be curious as to if the problem happens in the U.S, as no one on our end has been able to reproduce it. I'll bring a T61 as well. See you at UDS.

Revision history for this message
slamdunk (antongiulio05) wrote :

@Rolla Selbak

I read your post here:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/133395

but when I start manually my connection (look at this bug report too: https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/133397) "wpa_supplicant" is already stopped and so I cannot get "hiccuping effect". How can I restart wpa_supplicant?

/etc/init.d/wpa-ifupdown restart

seems not working and so I cannot test it with:

# modprobe iwl4965 debug=0x41002

I bought my Dell XPS M1330 by Dell-Italy (and so Europe zone)

Revision history for this message
slamdunk (antongiulio05) wrote :

I have just upgraded to:

$ uname -r
2.6.22-14-generic

and hiccuping problem seems fixed... :)

if it's so remain just this bug for iwl4965 (at least for my situation):

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/133397

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Tue, Oct 09, 2007 at 08:19:04PM -0000, slamdunk wrote:
> I have just upgraded to:
>
> $ uname -r
> 2.6.22-14-generic
>
> and hiccuping problem seems fixed... :)

That's odd; there were no changes in the iwl4965 driver or wireless stack
that I could see.

--
 - mdz

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

@slamdunk

seems like the problem has gone away with our upgraded kernel...

however I'll just answer your q in case the problem shows up again, or for anyone else who is interested:

You can use "wpa_supplicant" to start daemon. -B is for background
-I is for interface. You have to create a conf file based on your local AP settings. I have attached a sample file I used for my ap.
wpa_supplicant -iwlan0 -c/etc/wpa_supplicant.conf -Dwext -B

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :
Revision history for this message
aldebx (aldebx) wrote :

Unfortunately I have to confirm this bug is still present with current and up-to-date Ubuntu Gutsy.

From time to time, mostly some time after there is no network activity the network becomes inresponsive, although both ifconfig and iwconfig show wlan0 still up and NetworkManager applet shows link is present.

so far nothing helps the network resume other than a reboot.
asking NetworkManager applet for a reconnect, issuing ifconfig wlan0 down and then up does nothing, the network still remanins frozen.

dmesg output is attached,
follows lspci -vvv output

Revision history for this message
aldebx (aldebx) wrote :

here is my lspci -vvv output

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

@aldeby

can you please load the driver with debug=0x41002 and attach the log after the problem happens?

we can't figure out what is going on until we get the debug logs...we can't reproduce the problem on our end, so we'll need your help to get a debug log...

Revision history for this message
Josh Stump (joshs-pcinw) wrote :

I seem to be having the same issue described here. I loaded the module in debug mode... I'm assuming the file /var/log/debug would be where the info goes...? That is what I am attaching. I am in the U.S. and my AP that I am connecting to is a regular x86 box running PfSense 1.2RC3 with an SMC2532w-b card used to output the signal. Have not had this issue with any other cards yet. Will gladly run more diagnostics if needed. The computer is a Dell Inspiron 1720. The wireless card is: (output from lspic -vvv)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
        Subsystem: Intel Corporation Unknown device 1120
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at f9ffe000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [e0] Express Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <512ns, L1 unlimited
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s <128ns, L1 <64us
                Link: ASPM L0s Enabled RCB 64 bytes CommClk+ ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
Attached is the debug file...

Revision history for this message
mabbas (mohamed-abbas) wrote :

can you please retry to reproduce this bug with loading the driver with debug=0x41802. then attached the log after the driver stop working.

Revision history for this message
Josh Stump (joshs-pcinw) wrote :

Alright, I have loaded the driver as asked with debug=0x41802, the file has been attached. Hope this helps.

Revision history for this message
Xiaoyang Yu (xiaoyang-yu) wrote :

We reproduced this bug when we run consecutively series of wireless automation cases and there's no operation of reloading driver in test cases:
BSS_datatransfer_001: Two stations associate w/ non-security AP and transfer huge data file;
BSS_datatransfer_002: Two stations associate w/ WEP128 AP and transfer huge data file;
BSS_datatransfer_003: Two stations associate w/ WPA2 AP and transfer huge data file;
BSS_datatransfer_004: Two stations swith the connection from one WPA2 AP to non-secured AP with different bands and then transfer huge data file;
We blocked in BSS_datatransfer_004- the data transition stopped and we found the driver became non-functional.
Our test framework need some complex configuration, two laptops, one control server and one AP.

Revision history for this message
Xiaoyang Yu (xiaoyang-yu) wrote :

log message.

Revision history for this message
Craig Ringer (ringerc) wrote :

Create the file /etc/modprobe.d/iwl4965:

----
options iwl4965 disable_hw_scan=1
----

then unload and reload iwl4965. This may well help.

Revision history for this message
Josh Stump (joshs-pcinw) wrote :

Craig,
  I created that file with the given options and rebooted to allow the driver to reload... still experienced the same issue unfortunately....
Josh

Revision history for this message
balmy_fool (balmy-fool) wrote :

I believe this is related to bug 149214.

I and others are having intermittent failures with the "Error setting Tx power (-11) " message.

John

Revision history for this message
aldebx (aldebx) wrote :

Installing by hand latest 1.1.20 drivers from http://intellinuxwireless.org/ website has solved the problem for me.

"Error setting Tx power (-11)" message was not related to the problem described, it was a bug introduced with one of the latest driver versions, however it has been fixed as well as of version 1.1.20.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

I'm just updating the status, importance, and milestone for this bug. Tim has already updated the git lum tree to contain version 1.1.18 of the driver. Bug 151627 has also already requested an additional update to version 1.1.20. Thanks!

Changed in linux-ubuntu-modules-2.6.22:
assignee: nobody → ubuntu-kernel-network
importance: Undecided → High
milestone: none → gutsy-updates
status: New → Triaged
Revision history for this message
Kris Lowet (krislowet) wrote :

I'm having the same problem. My connection get lost after a few minutes.

02:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

Ubuntu 7.10 with kernel 2.6.22-14-generic.

Revision history for this message
jnewton (nevion) wrote :

I and a few friends are also having this incredibly aggravating problem and have been watching this bug for a month or so. What is the hold up with releasing the updates? Is there some way I could snag a build of it? It's just a module update, correct? If release policies get in the way, do consider how mainstream (a large number of laptops from various vendors have been shipping with this chipset for quite a while now) this hardware is and thus its importance to work properly. I think that waiting for hardy for a fix like this is unacceptable and damaging of ubuntu's reputation.

Revision history for this message
chris613 (chris-2byteconsulting) wrote :

 Nevion, the milestone for this fix is gutsy-updates, which is due Dec 31st.

 I would also be interested in testing a pre-release of this package, though. Is there a convenient way for us to get it?

Revision history for this message
aldebx (aldebx) wrote :

It is very easy to update manually the iwl4965 driver to the latest build, follow these steps:

1) download the latest iwlwifi driver from www.linuxintelwireless.org
http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-1.1.21.tgz

2) install linux-source: sudo apt-get install linux-source
go in /usr/src: cd /usr/src

3) locate the linux-source-2.6.xxx.bz2 package and unpack it:
sudo bunzip2 linux-source-2.6.xxx.bz2
sudo tar xf linux-source-2.6.xxx.tar
sudo ln -s /usr/src/linux-source-2.6.22 /lib/modules/`uname -r`/source

4) then unpack and compile the driver:
tar xzf iwlwifi-1.1.21.tgz
cd iwlwifi-1.1.21
sudo make
sudo make install

5) And load the modules with
sudo modprobe iwl4965

you can check if setup is successful (iwl4965 should be displayed as an output) by:
sudo lsmod | grep iwl

The new driver will be loaded automatically at each reboot

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Mon, Nov 19, 2007 at 08:49:25AM -0000, aldeby wrote:
> It is very easy to update manually the iwl4965 driver to the latest
> build, follow these steps:
>
> 1) download the latest iwlwifi driver from www.linuxintelwireless.org
> http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-1.1.21.tgz

I don't really recommend that folks install the driver this way as a
permanent solution, as it will replace files supplied by the packaging
system (which will then be overwritten on upgrades), though it would be
useful to know if the new version does in fact fix the issues.

> 2) install linux-source: sudo apt-get install linux-source
> go in /usr/src: cd /usr/src
>
> 3) locate the linux-source-2.6.xxx.bz2 package and unpack it:
> sudo bunzip2 linux-source-2.6.xxx.bz2
> sudo tar xf linux-source-2.6.xxx.tar
> sudo ln -s /usr/src/linux-source-2.6.22 /lib/modules/`uname -r`/source

The correct way to do this is to run:

sudo apt-get install linux-headers-`uname -r`

which gets only what you need (the kernel headers), in a single step, and
works properly across upgrades.

--
 - mdz

Revision history for this message
aldebx (aldebx) wrote :

Matt, thank you for commenting!

As I said in comment #31 after I upgraded iwlwifi drivers to version 1.1.20 (even though with that not-so-smart way) I haven't experienced the described problem any more.
However, since ubuntu packages ship with an older version of the drivers, users not manually upgrading may still experience this problem. An update of ubuntu packages would be really appreciated.

Revision history for this message
jnewton (nevion) wrote :

@aldebx,Matt,

I did as you both said with the driver and linux-headers. Upon make, it'll error because net/mac80211/ieee80211_rate.h is not included the headers package (bug? It would've made compiling the driver _way_ easier). So then I installed the linux-source package and used make KSRC=path_to_kernel. I was met with the need to copy over a bunch of files (.config from /boot, scripts/mod/modpost, Module.symvers, and forced to make prepare (there were probably more files that needed copied over, but make will error saying which are missing, you just have to merge the missing files from the headers package to the linux-source package (preserving relative paths)). After that, depmod, and removing the module from the kernel, I discovered that the old module in ubuntu/wireless would be loaded instead of the newer module on subsequent modprobes... so I had to remove it too&depmod. After all that, things are working peachy. This was alot of work though for a simple module update... At the very least perhaps fix the header inclusion so as to make others testing of the driver easier? Does that require waiting for gusty-updates on the 31st?

Revision history for this message
Matt Zimmerman (mdz) wrote :

On Tue, Nov 20, 2007 at 01:39:20AM -0000, nevion wrote:
> @aldebx,Matt,
>
> I did as you both said with the driver and linux-headers. Upon make,
> it'll error because net/mac80211/ieee80211_rate.h is not included the
> headers package (bug? It would've made compiling the driver _way_
> easier).

It's a bug either in the headers package (if it's an exported interface) or
in the driver (if it isn't).

> So then I installed the linux-source package and used make
> KSRC=path_to_kernel. I was met with the need to copy over a bunch of
> files (.config from /boot, scripts/mod/modpost, Module.symvers, and
> forced to make prepare (there were probably more files that needed
> copied over, but make will error saying which are missing, you just have
> to merge the missing files from the headers package to the linux-source
> package (preserving relative paths)). After that, depmod, and removing
> the module from the kernel, I discovered that the old module in
> ubuntu/wireless would be loaded instead of the newer module on
> subsequent modprobes... so I had to remove it too&depmod. After all
> that, things are working peachy. This was alot of work though for a
> simple module update... At the very least perhaps fix the header
> inclusion so as to make others testing of the driver easier? Does that
> require waiting for gusty-updates on the 31st?

The "gutsy-updates" milestone is used to mark bugs which are being
considered for an update to 7.10; there is no schedule associated with it
(despite what Launchpad may say).

--
 - mdz

Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

Just wanted to confirm that yes, version iwlwifi-1.2.0 fixes all the problems that we were seeing during our validation wrt this bug.

Changes in 1.2.0 include:

* avoid firmware command sending if rfkill is enabled
* fix ucode assertion for RX queue overrun
* enhance WPA authenication stability
* iwl3945: re-align 3945 event log data
* Update ISSUES file

for more, check out the iwlwifi-1.2.0 announcement on the ipw3945-devel list:

http://sourceforge.net/mailarchive/forum.php?thread_name=1195625373.3250.463.camel%40debian.sh.intel.com&forum_name=ipw3945-devel

Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote : Re: iwl4965 drops out from time to time (Santa Rosa) - PACKAGES

Hi, I got these errors too, so I managed to fix them repackaging the git HEAD of linux-ubuntu-modules package for gutsy (i383) updating iwlwifi sources to 1.2.0 and mac80211 sources to 10.0.2 (the latest available).

You can try my package simply downloading it from http://download.tuxfamily.org/3v1deb/xtra-debs/ubuntu-modules/

If you want to build a package using your PC, simply download the attached patch and apply it to the git tree then use the standard packaging commands (or see debian/rules)

$ dmesg|grep wl
[ 23.260000] iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.0
[ 23.260000] iwl4965: Copyright(c) 2003-2007 Intel Corporation
[ 23.264000] iwl4965: Detected Intel Wireless WiFi Link 4965AGN
[ 23.760000] iwl4965: Tunable channels: 13 802.11bg, 19 802.11a channels
[ 23.760000] wmaster0: Selected rate control algorithm 'iwl-4965-rs'

Revision history for this message
camellight (ceminino) wrote :

great mate! I just installed your package and it seems to work alright now! Thanks!

Revision history for this message
Dag Rende (dag-s) wrote :

Hi,

I just got this error and installed the update above. Thanks for it!

Do I have to do anything extra after installing a kernel update from the ubuntu update sources, for example?

Revision history for this message
Wobbo (wobbo) wrote :

Thanks for this deb package man! I this update to iwlwifi 1.2 could be the fix i need to get my wpa_supplicant running!

Revision history for this message
Kris Lowet (krislowet) wrote :

Marco,

I have installed your .deb package (Ubuntu 7.10), but still the same problem. I even get totaly no connection.
Do I still have to do something else maybe?

Thanks,
Kris

Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

I didn't get too using wicd, networkmanager works well instead!

Revision history for this message
Johannes H. Jensen (joh) wrote :

Your deb seems to fix this issue for me. Thanks!

Revision history for this message
Kris Lowet (krislowet) wrote :

Is there something else I can/have to do to get the deb package of Marco working?
I'm using Networkmanager. All tips are welcome :)

Thanks
Kris

Revision history for this message
Matt Zimmerman (mdz) wrote :

I've been having trouble again, having changed locations. The problem seems to be either specific to particular vendors' access points, or perhaps signal strength.

I've updated to Marco's 1.2.0/10.0.2 package and will report back.

Revision history for this message
David Pugal (david-ut-ee) wrote :

Thank you for the patch, Marco.
I should say it helped a bit - some connections appear to be more stable and now I have to use less `rmmod iwl4965; killall -9 NetworkManager; /etc/dbus-1/event.d/25NetworkManager restart; modprobe iwl4965` cycles, which is good. Though WPA still seems to be less stable than WEP or unprotected networks.

But I found out that I have problems connecting to certain unprotected networks at all.. Just wasn't able to get connected. I don't know it is the issue of the patch. I'll try to verify somehow.

Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

I'm using only WPA and WPA2 networks and they seem to work well... BTW I don't stress too much my connection...

Revision history for this message
Nick Andrik (andrikos) wrote :

The problem persists with official linux-ubuntu-modules 2.6.22-14.38(gutsy-proposed) although trevino's package works just fine :)
It would be good to fix the official package before it leaves proposed.

Revision history for this message
Tim Gardner (timg-tpi) wrote :

I've updated iwlwifi to the official Intel 1.2.0 release. You can try it by adding my PPA to your sources.list:

sudo echo "deb http://ppa.launchpad.net/timg-tpi/ubuntu gutsy main" >> /etc/apt/sources.list
sudo apt-get update
sudo apt-get -u upgrade

- or -

wget http://ppa.launchpad.net/timg-tpi/ubuntu/pool/main/l/linux-ubuntu-modules-2.6.22/linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.39_i386.deb
sudo dpkg -i linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.39_i386.deb

- or -

Select the -proposed repository in synaptics or /etc/apt/sources.list and wait a day or so for the new package to appear.

Changed in linux-ubuntu-modules-2.6.22:
assignee: ubuntu-kernel-network → timg-tpi
status: Triaged → Fix Committed
Revision history for this message
Michael R. Head (burner) wrote :

Shouldn't that be:

echo "deb http://ppa.launchpad.net/timg-tpi/ubuntu gutsy main" | sudo tee -a /etc/apt/sources.list
sudo apt-get update
sudo apt-get -u upgrade

Revision history for this message
Matteo Collina (matteo-collina) wrote :

After I've installed the package in your PPA my dmesg is flooded by this message:
wme:wme_qdiscop_enqueue ht_queue=4,queue=2 pool=0xF qdisc=dfd65680

I've googled this and I've found this: https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/133395

Revision history for this message
Matteo Collina (matteo-collina) wrote :

I've found another problem: the system take more time to boot. It hangs for a while in "loading modules".
I'm using iwl3945.

Revision history for this message
Michael R. Head (burner) wrote :

The new drivers have been working fine on my T61p with iwl4965.

Revision history for this message
Matt Zimmerman (mdz) wrote : Re: [Bug 144621] Re: iwl4965 drops out from time to time (Santa Rosa)

Is your updated driver available in Hardy?

(it should be tested there before a possible SRU anyway)

On Mon, Dec 10, 2007 at 06:03:15PM -0000, Tim Gardner wrote:
> I've updated iwlwifi to the official Intel 1.2.0 release. You can try it
> by adding my PPA to your sources.list:
>
> sudo echo "deb http://ppa.launchpad.net/timg-tpi/ubuntu gutsy main" >> /etc/apt/sources.list
> sudo apt-get update
> sudo apt-get -u upgrade
>
> - or -
>
> wget http://ppa.launchpad.net/timg-tpi/ubuntu/pool/main/l/linux-ubuntu-modules-2.6.22/linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.39_i386.deb
> sudo dpkg -i linux-ubuntu-modules-2.6.22-14-generic_2.6.22-14.39_i386.deb
>
> - or -
>
> Select the -proposed repository in synaptics or /etc/apt/sources.list
> and wait a day or so for the new package to appear.
>
> ** Changed in: linux-ubuntu-modules-2.6.22 (Ubuntu)
> Assignee: Ubuntu Kernel Network Team (ubuntu-kernel-network) => Tim Gardner (timg-tpi)
> Status: Triaged => Fix Committed
>
> --
> iwl4965 drops out from time to time (Santa Rosa)
> https://bugs.launchpad.net/bugs/144621
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
 - mdz

Revision history for this message
geppz (no-carrier) wrote :

I have the bug described, and also this other one probably more serious:
https://bugs.launchpad.net/ubuntu/+source/linux-ubuntu-modules-2.6.22/+bug/146191
which is probably the same as this
http://bughost.org/bugzilla/show_bug.cgi?id=1539
and has a patch as you can see.
PLEASE include the patch in the gutsy-updates. Please note that it is very recent and has not made it into the 1.2.22 intellinuxdrivers sources, it has to be applied over it.

For now you can have the fixed drivers with the following steps (not as difficult as others have suggested, in my case at least):
Download intellinuxdrivers package 1.2.22 sources:
wget http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-1.2.22.tgz
download the patch near to it
wget http://bughost.org/bugzilla/attachment.cgi?id=1264
rename it to something more sensible
mv attachment.cgi?id=1264 iwldrivers.patch
unpack the driver and apply the patch
tar -zxvf iwlwifi-1.2.22.tgz
cd iwlwifi-1.2.22/origin
patch <../../iwldrivers.patch

Now download kernel 2.6.22 sources, these are needed to compile the driver. The kernel headers, as others have noticed, are not enough.
I think: apt-get linux-source-2.6.22
this goes in /usr/src/linux-source-2.6.22
unpack the sources if they are compressed (I don't remember)

Now as root, go back to the directory iwlwifi-1.2.22
export KSRC=/usr/src/linux-source-2.6.22
make
install
depmod
now you should have the new drivers, installed in parallel with the ubuntu ones, that is in a separate directory, probably in
/lib/modules/2.6.22-14-generic/kernel/drivers/net/wireless/
while the ubuntu older ones are probably in
/lib/modules/2.6.22-14-generic/ubuntu/wireless/iwlwifi/iwlwifi/origin/
Make sure modprobe iwl4965 really loads the new drivers and not the old ones. Maybe rename the old ones.

Revision history for this message
Michael R. Head (burner) wrote :

I just had my first connection drop on the iwl4965 today:

Dec 14 01:02:08 phoenix kernel: [92505.200000] iwl4965: Microcode SW error detected. Restarting 0x2000000.
Dec 14 01:17:01 phoenix /USR/SBIN/CRON[25970]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Dec 14 01:37:56 phoenix dhclient: DHCPREQUEST on wlan0 to 192.168.51.1 port 67
Dec 14 01:38:30 phoenix last message repeated 3 times

According to my laptop, the DHCP server was unavailable, but I have another computer on the same network that remained up all through the night.

When I came back to my laptop this morning, all I had to do what tell network manager to reconnect to my wireless network (selected my SSID in its list) and I was able to get a DHCP address.

Revision history for this message
Tim Gardner (timg-tpi) wrote :

Matteo Collina - Are you sure you have the right driver loaded? The log message in your report does not exist in the source code.

lsmod | grep iwlwifi
ls -l /lib/modules/2.6.22-14-generic/ubuntu/wireless/iwlwifi/mac80211/compatible/net/mac80211/iwlwifi_mac80211.ko

Should be 253024 bytes.

Revision history for this message
Tim Gardner (timg-tpi) wrote :

Matt - The iwlwifi driver is now in the Hardy 2.6.24 kernel. I'm not sure how their released version (1.2.0) relates to upstream, but I suspect it is a superset.

Revision history for this message
balmy_fool (balmy-fool) wrote :

I began seeing the same message in dmesg as Matteo Colina when I upgraded to 1.2.0 with iwl4965. I was not getting it before I installed the new package.

Revision history for this message
balmy_fool (balmy-fool) wrote :

I should also mention that I'm running the amd64 kernel.

Revision history for this message
balmy_fool (balmy-fool) wrote :

I've attached my /var/log/dmesg. Here is the order of events:
Boot with the old module. (I had downgraded to the old package)
Install the new package.
sudo modprobe -r iwl4965; sudo modprobe iwl4965
Wait a little bit and then look at dmesg.

Revision history for this message
balmy_fool (balmy-fool) wrote :

Whoops. Wrong dmesg file. Here's the right one

Revision history for this message
Matteo Collina (matteo-collina) wrote :

The file size is correct.

I'm attaching my dmesg output.

Why with your package it takes more time to load the drivers at boot?

Revision history for this message
Michael R. Head (burner) wrote :

I have:

burner@phoenix:~$ lsmod | grep iwlwifi
iwlwifi_mac80211 216804 1 iwl4965
cfg80211 7304 1 iwlwifi_mac80211
burner@phoenix:~$ ls -l /lib/modules/2.6.22-14-generic/ubuntu/wireless/iwlwifi/mac80211/compatible/net/mac80211/iwlwifi_mac80211.ko
-rw-r--r-- 1 root root 253024 2007-12-10 11:51 /lib/modules/2.6.22-14-generic/ubuntu/wireless/iwlwifi/mac80211/compatible/net/mac80211/iwlwifi_mac80211.ko

Revision history for this message
Matteo Collina (matteo-collina) wrote :

matteo@matteo-laptop:~$ lsmod | grep iwlwifi
iwlwifi_mac80211 216804 1 iwl3945
cfg80211 7304 1 iwlwifi_mac80211
matteo@matteo-laptop:~$ ls -l /lib/modules/2.6.22-14-generic/ubuntu/wireless/iwlwifi/mac80211/compatible/net/mac80211/iwlwifi_mac80211.ko
-rw-r--r-- 1 root root 253024 2007-12-10 17:51 /lib/modules/2.6.22-14-generic/ubuntu/wireless/iwlwifi/mac80211/compatible/net/mac80211/iwlwifi_mac80211.ko
matteo@matteo-laptop:~$

Revision history for this message
Matteo Collina (matteo-collina) wrote :

I've followed the instruction of geppz and the flood disappeared, but still the boot time halt for a while.

Revision history for this message
Serge (serge-de-souza) wrote :

Tim with your l-u-m package there are issues with the ipw3945 card: both the iwl3945 and the ipw3945 drivers get loaded. If the iwl3945 gets loaded first then the network card is unusable.

I have tested this on a X60 Thinkpad

Revision history for this message
balmy_fool (balmy-fool) wrote :

I am still seeing infrequent microcode errors with version of iwl4965 that you posted.

I have attached my dmesg

Revision history for this message
Michael R. Head (burner) wrote :

Got the connection drop again (still using 2.6.22-14.39). Just had to tell network manager to reconnect to my wireless.

Dec 18 23:16:04 phoenix kernel: [ 4475.784000] iwl4965: Microcode SW error detected. Restarting 0x82000000.
Dec 18 23:16:07 phoenix kernel: [ 4477.744000] iwl4965: Can't stop Rx DMA.
Dec 18 23:16:07 phoenix kernel: [ 4478.720000] psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization,
 throwing 1 bytes away.

Revision history for this message
Michael R. Head (burner) wrote :
Revision history for this message
Anton Khokhlov (orvind) wrote :
Revision history for this message
Rolla Selbak (rolla-n-selbak) wrote :

Hi Anton, which ucode version are you using? Should be 4.44.1.18.

Revision history for this message
Andrew Gee (andrewgee) wrote :

After installing Tim's package, I now get a flood on dmesg, as said by Matteo.

However, when trying to compile the driver, as explained by ggepz, it fails with many errors.

Is there a package I can install, which will work well?

Thanks

Revision history for this message
Tim Gardner (timg-tpi) wrote :

This is as good as it gonna get for Gutsy.

Changed in linux-ubuntu-modules-2.6.22:
assignee: timg-tpi → nobody
status: Fix Committed → Fix Released
Revision history for this message
Serge (serge-de-souza) wrote :

Could we get a more recent version for hardy as requested in
https://bugs.launchpad.net/ubuntu/+source/linux-ubuntu-modules-2.6.24/+bug/183928

In general the module works ok on unencrypted and WEP networks but I am getting packet loss when roaming between access points using WPA. The access points are at most 20 meters apart.

Revision history for this message
Nicolas Diogo (nicolasdiogo) wrote :

hi,

i have hardy installed on a T61p with iwl4965 wireless driver and it was failing until i updated my network manager to nm-applet 0.6.6.
my current kernel is:
2.6.24-12-generic #1 SMP Wed Mar 12 22:31:43 UTC 2008 x86_64 GNU/Linux

thanks

Ubuntu Folks

Revision history for this message
comotion (comotion) wrote :

according to http://benlynn.blogspot.com/2008/03/thinkpad-x61-wireless-and-ubuntu.html it's all about upgrading the iwlwifi microcode (which is what you should be doing if you're reading this looking for a quick fix).

I'm currently testing this fix on a Compal FL90+, also driven by the iwl4965 module.
I recommend pushing the fix out asap, the ucode has been available since November and this is hitting a lot (a lot!) of laptop users.

Revision history for this message
Mark Eichin (eichin-gmail) wrote :

FYI I'm running pre-hardy, updated as of 20080422, on a Lenovo Thinkpad T60p:
26d10014b09439dc5a8573c2a6f85b0a /lib/firmware/2.6.24-16-generic/iwlwifi-3945-1.ucode
26d10014b09439dc5a8573c2a6f85b0a /lib/firmware/2.6.24-16-generic/iwlwifi-3945.ucode
which match iwlwifi-3945-ucode-2.14.1.5.tgz from http://www.intellinuxwireless.org/iwlwifi/downloads, and I'm still seeing
[ 2218.395642] wlan0: No ProbeResp from current AP 00:xx:xx:xx:xx:xx - assume out of range
[ 2219.196315] wlan0: No STA entry for own AP 00:xx:xx:xx:xx:xx
[ 2222.988446] wlan0: No STA entry for own AP 00:xx:xx:xx:xx:xx
which persist until I unload and reload the module. (I also have the problem that occasionally the reload entirely hangs the laptop, leaving just a blinking caps-lock light as an indication...) I do run across suspend and restore cycles, and move among a number of wireless domains (I always just force-reload the module after restoring from suspend; it sometimes doesn't need it, but the force reload is always faster :-)

Only seems to happen with WPA; when I'm using WPA I'm also using 802.11a;

lspci output:
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
 Subsystem: Intel Corporation Unknown device 1010
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 217
 Region 0: Memory at edf00000 (32-bit, non-prefetchable) [size=4K]

Revision history for this message
Mkz (mquerol) wrote :

Hi all.

Well ...

Some minutes ago I began to get some problems on wlan0 ...

And when I take a look at dmesg it appears the famous :

wlan0: No STA entry for own AP xxxxxxxxxx

Well, I was trying to install tifm modules to try to enable my SD Card reader and I thought it may be some relation with this new modules I was installing and my wlan0 error.

I just removed tifm modules, ifdown and ifup my wifi card and .... it's working again :)

I don't know why but it works again (pci driver conflicts ?)

Hope can help somebody :)

Kind Regards,

Mkz.

Revision history for this message
Lutz Andersohn (landersohn) wrote :

I've been following this thread because I see the similar kernel messages as in the original post. Trying to connect to a WPA Personal wireless network in roaming mode, the kernel log shows the following

Apr 11 13:05:58 andersl-usb kernel: [ 137.716491] wlan0: RX ReassocResp from 00:1f:33:42:80:c4 (capab=0x411 status=0 aid=3)
Apr 11 13:05:58 andersl-usb kernel: [ 137.716504] wlan0: associated
Apr 11 13:06:06 andersl-usb kernel: [ 139.769903] wlan0: RX deauthentication from 00:1f:33:42:80:c4 (reason=15)
Apr 11 13:06:06 andersl-usb kernel: [ 139.769916] wlan0: deauthenticated
Apr 11 13:06:07 andersl-usb kernel: [ 140.144625] wlan0: authenticate with AP 00:1f:33:42:80:c4
Apr 11 13:06:07 andersl-usb kernel: [ 140.146249] wlan0: RX authentication from 00:1f:33:42:80:c4 (alg=0 transaction=2 status=0)
Apr 11 13:06:07 andersl-usb kernel: [ 140.146258] wlan0: authenticated
Apr 11 13:06:07 andersl-usb kernel: [ 140.146264] wlan0: associate with AP 00:1f:33:42:80:c4
Apr 11 13:06:07 andersl-usb kernel: [ 140.150415] wlan0: RX ReassocResp from 00:1f:33:42:80:c4 (capab=0x411 status=0 aid=3)
Apr 11 13:06:07 andersl-usb kernel: [ 140.150428] wlan0: associated

These repeat until the attempt to connect times out and the password dialog appears.
I tried to configure the network, i.e. not using roaming, with no difference.

I am running Hardy 8.04, kernel 2.6.24-23-generic, have the 0.6.6 version of Network Manager and if I read the previous posts correctly, the latest Intel driver should be in my kernel.
I am at a loss, especially since I have no problems with my wireless router at home at which I run WPA2

Unfortunately I didn't run dmesg, so I don't know whether I get the TX power messages as well.

I am running a Dell Latitude 420, The wireless is a PRO/Wireless 3945ABG Network Connection with the iwl3945 driver.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.